/*ident	"%W%" */

#ifndef LIBCH
#define LIBCH


extern "C" {
	long a64l(const char*);
	double atof(const char*);
	int atoi(const char*);
	long atol(const char*);
	const char* crypt(const char*, const char*);
	char *ecvt(double, int, int*, int*);
	void encrypt(char*, int);
	void exit(int);
	void _exit(int);
	double fabs(double);
	const char* fcvt(double, int, int*, int*);
	double frexp(double, const int*);
	char *gcvt(double, int, char*);
	char *getcwd(char*, int);
	char *getenv(const char*);
	char *getlogin();
	int getopt(int, const char**, const char*);
	char *getpass(const char*);
	int getpw(int, char*);
	int isatty(int);
	void l3tol(long*, const char*, int);
	char *l64a(long);
	double ldexp(double, int);
	void ltol3(char*, const long*, int);
	char *mktemp(char*);
	double modf(double, const double*);
	void perror(const char*);
	int putenv(const char*);
	void qsort(void*, unsigned, unsigned, int(*)(const void*, const void*));
	void setkey(const char*);
	void swab(const char*, char*, int);
	int system(const char*);
	long time(long*);
	char *ttyname(int);
	int ttyslot();
	int abort(...); /* Args can be examined in dbx */
	unsigned alarm(unsigned);
	int bcmp(const void*, const void*, int);
	void bcopy(const void*, void*, int);
	void bzero(void*, int);
	char *calloc(unsigned, unsigned);
	long clock();
	char *ctermid(char*);
	char *cuserid(char*);
	int execl(const char*, const char* ...);
	int execle(const char*, const char* ...);
	int execlp(const char*, const char* ...);
	int execv(const char*, const char* argv[]);
	int execvp(const char*, const char* argv[]);
	int ffs(int);
	void free(char*);
	char *getwd(char*);
	char *initstate(unsigned, char*, int);
	int lockf(int, int, long);
	char *malloc(unsigned);
	int nice(int);
	void pause();
	long random();
	char *realloc(char*, unsigned);
	int setegid(int);
	int seteuid(int);
	int setrgid(int);
	int setruid(int);
	char *setstate(char*);
	unsigned long sleep(unsigned);
	int srand(int);
	void srandom(int);
	char *tempnam(char*, const char*);
	char *tmpnam(char*);
	long ulimit(int, long);
	double strtod(const char*, char**);
	long strtol(const char*, char**, int);
	int rand();
	void closelog();
	int endnetgrent();
	int getnetgrent(char**, char**, char**);
	int initgroups(char*, int);
	void openlog(const char*, int, int);
	int rnusers(const char*);
	int rresvport(int*);
	int ruserok(const char*, int, const char*, const char*);
	int rwall(const char*, const char*);
	int setlogmask(int);
	int setnetgrent(char*);
	void syslog(int, const char* ...);
}

extern char** environ;
extern int end, etext, edata;

#endif

