#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <malloc.h>

#define  Randomize()             srand(time(NULL))
#define  Rand()                  ((rand()&0x00FFFF00) >> 8)
#define  Random(N)               (Rand() % ((int)(N)))

#define RECSIZE   25
#define STRSIZE   100
#define KEY_OFFS  0
#define KEY_LEN   3


void Panic (Msg)
char *Msg;
{

  printf("Panic : %s! Aborting...\n", Msg);
  exit(0);

}

main(argc, argv)
int argc;
char **argv;
{
   char Rec[RECSIZE+2];
   char *p, *p1, *p2, *buf1, *buf2, *prt1, *prt2, s[STRSIZE];
   int i,j;
   int ctr1, ctr2;
   FILE *f1, *f2;

   if (argc!=3) Panic("Usage");
   
   f1=fopen(argv[1], "r+");
   if (!f1)
     Panic("Open f1");
   
   f2=fopen(argv[2], "r+");
   if (!f2)
     Panic("Open f2");

   fgets(s, STRSIZE, f1); ctr1=atoi(s);
   fgets(s, STRSIZE, f2); ctr2=atoi(s);

   buf1 = (char *) malloc(ctr1 * RECSIZE);
   if (!buf1) Panic("Memory 1");

   buf2 = (char *) malloc(ctr2 * RECSIZE);
   if (!buf2) Panic("Memory 2");

   prt1 = (char *) calloc(RECSIZE+2, 1);
   if (!prt1) Panic("Part 1");

   prt2 = (char *) calloc(RECSIZE+2, 1);
   if (!prt2) Panic("Part 2");

   for (p=buf1, i=0; i<ctr1; i++, p+=RECSIZE) {
     fgets(Rec, RECSIZE+2, f1);
     strncpy(p, Rec, RECSIZE);
   }

   for (p=buf2, i=0; i<ctr2; i++, p+=RECSIZE) {
     fgets(Rec, RECSIZE+2, f2);
     strncpy(p, Rec, RECSIZE);
   }

   for (i=0, p1=buf1; i<ctr1; p1+=RECSIZE, i++)
     for (j=0, p2=buf2; j<ctr2; p2+=RECSIZE, j++) {
        if (!strncmp(p1+KEY_OFFS, p2+KEY_OFFS, KEY_LEN)) {
          strncpy(prt1, p1, RECSIZE);
          strncpy(prt2, p2, RECSIZE);
          printf("<%4d,%4d> [%s | %s]\n", i, j, prt1, prt2);
        }
     }
  
   free(buf1); free(buf2); free(prt1); free(prt2);
   fclose(f1); fclose(f2);
}
