#ifndef __DLD_H
#define __DLD_H
#include <stdio.h>
#include <string.h>
#include <malloc.h>
#include <memory.h>
#include "Dlfcn.h"

class Params {
      private:
        char *param_list;
        int  param_count;
      public:
        Params(int);
        void add_parameters(void * ptrval);
        char * get_parameters();
        int  get_parnum();
        void ResetParNum() { param_count = 0; }
        ~Params() { free(param_list); }
};

class Function {
   public:
      void         *hand;
      void         *(*func) (...);
      int          error;

    Function(char *signature);
    ~Function()  { /* dlclose(hand);*/ };
    void         *execute(Params *);
};

extern char DatabaseHome[];
#endif
