#include "mood_catalog.h"
#include "userreq.h"
#include "smex.h"
#include "dbi_gen.h"
#include "opt_defs.h"
#include "dbi.h"

int 		User;
UserRequest 	*userRequest;
extern int  PrintQueryResult(BULK_SCHEMA *);
BULK_SCHEMA *QueryResult;

main(int argc, char **argv)
{
	OID		ddd;

	//myalloc = fopen( "allocate.dat", "w" );
	//dealloc = fopen( "deallocate.dat", "w" );


	userRequest = new UserRequest();
	if( !userRequest->initESM( argv[0] ))
	{
		userRequest->handleError();
		exit( 1 );
	}
	fclose( myalloc );
	fclose( dealloc );

	while(1) // endsless loop for textual interface
	{
		userRequest->startXAct();
		userRequest->readText();
		//myalloc = fopen( "allocate.dat", "w" );
		//dealloc = fopen( "deallocate.dat", "w" );
		//fclose( myalloc );
		//fclose( dealloc );
		userRequest->parseText();
		userRequest->handleOperation();
		//userRequest->printTime();
		userRequest->handleError();
		QueryResult  = userRequest->getBulkSchema();
                if (QueryResult) {
			if (!PrintQueryResult(QueryResult))
				userRequest->handleError();
                }
		userRequest->commitXAct();
		// userRequest->reset();
	}


	if( !userRequest->closeESM())
	{
		userRequest->handleError();
		exit( 1 );
	}

	myalloc = fopen( "allocate.dat", "w" );
	dealloc = fopen( "deallocate.dat", "w" );
	delete userRequest;
	fclose( myalloc );
	fclose( dealloc );
}
