
#define esmINTERNAL                             SM_ERR_ENCODE(GENERAL_ERROR_BASE, 1)
#define esmASSERT                               SM_ERR_ENCODE(GENERAL_ERROR_BASE, 2)
#define esmMALLOCFAILED                 SM_ERR_ENCODE(GENERAL_ERROR_BASE, 3)
#define esmSERVERDIED                   SM_ERR_ENCODE(GENERAL_ERROR_BASE, 4)
#define esmNOTIMPLEMENTED               SM_ERR_ENCODE(GENERAL_ERROR_BASE, 5)
#define esmUNIXSIGNAL                   SM_ERR_ENCODE(GENERAL_ERROR_BASE, 6)
#define esmPOOLEMPTY                    SM_ERR_ENCODE(GENERAL_ERROR_BASE, 7)
#define MAX_GENERAL_ERROR               8 /* adjust as errors added/removed */
#define esmBADOID                               SM_ERR_ENCODE(SM_ERROR_BASE, 1)
#define esmBADSTART                             SM_ERR_ENCODE(SM_ERROR_BASE, 2)
#define esmNOFREEUSERDESC               SM_ERR_ENCODE(SM_ERROR_BASE, 3)
#define esmBADUSERDESC                  SM_ERR_ENCODE(SM_ERROR_BASE, 4)
#define esmBADPARAMS                    SM_ERR_ENCODE(SM_ERROR_BASE, 5)
#define esmBADGROUP                             SM_ERR_ENCODE(SM_ERROR_BASE, 6)
#define esmBADLENGTH                    SM_ERR_ENCODE(SM_ERROR_BASE, 7)
#define esmROOTNAMETOOLONG              SM_ERR_ENCODE(SM_ERROR_BASE, 8)
#define esmNOFREESCANDESC               SM_ERR_ENCODE(SM_ERROR_BASE, 9)
#define esmENDOFOBJECT                  SM_ERR_ENCODE(SM_ERROR_BASE, 10)
#define esmBADSLOTTEDMAGIC              SM_ERR_ENCODE(SM_ERROR_BASE, 11)
#define esmBADOBJECTMAGIC               SM_ERR_ENCODE(SM_ERROR_BASE, 12)
#define esmBADOBJECTFLAGS               SM_ERR_ENCODE(SM_ERROR_BASE, 13)
#define esmNOFREELOADDESC               SM_ERR_ENCODE(SM_ERROR_BASE, 14)
#define esmHISTORYGRAPHOID              SM_ERR_ENCODE(SM_ERROR_BASE, 15)
#define esmNOTVERSIONED                 SM_ERR_ENCODE(SM_ERROR_BASE, 16) /* obj not a ve
rsion */
#define esmNOTFROZEN                    SM_ERR_ENCODE(SM_ERROR_BASE, 17) /* obj not froz
en */
#define esmFROZEN                               SM_ERR_ENCODE(SM_ERROR_BASE, 18) /* obj
is frozen */
#define esmVHGTOOLARGE                  SM_ERR_ENCODE(SM_ERROR_BASE, 19)
#define MAX_SM_ERROR                    20 /* adjust as errors added/removed */
#define esmCANTSWAP                             SM_ERR_ENCODE(BF_ERROR_BASE, 1)
#define esmFIXEDPAGES                   SM_ERR_ENCODE(BF_ERROR_BASE, 2)
#define esmNOFREEPAGEHASH               SM_ERR_ENCODE(BF_ERROR_BASE, 3)
#define esmNOUNRESERVED                 SM_ERR_ENCODE(BF_ERROR_BASE, 4)
#define esmNOFREEGROUPS                 SM_ERR_ENCODE(BF_ERROR_BASE, 5)
#define esmBADREPLACEPOLICY             SM_ERR_ENCODE(BF_ERROR_BASE, 6)
#define esmPAGEGONE                             SM_ERR_ENCODE(BF_ERROR_BASE, 7)
#define esmNOBUFSPACE                   SM_ERR_ENCODE(BF_ERROR_BASE, 8)
#define esmREQUESTTOOBIG                SM_ERR_ENCODE(BF_ERROR_BASE, 9)
#define esmGROUPGONE                    SM_ERR_ENCODE(BF_ERROR_BASE, 10)
#define esmNOSHMSPACE                   SM_ERR_ENCODE(BF_ERROR_BASE, 11)
#define MAX_BF_ERROR                    12 /* adjust as errors added/removed */
 
#define esmBADRANGE                             SM_ERR_ENCODE(LG_ERROR_BASE, 1)
#define esmNOFREELGNODELIST             SM_ERR_ENCODE(LG_ERROR_BASE, 2)
#define MAX_LG_ERROR                    3 /* adjust as errors added/removed */
#define esmEMPTYFILE                    SM_ERR_ENCODE(FI_ERROR_BASE, 1)
#define esmBADNEARTYPE                  SM_ERR_ENCODE(FI_ERROR_BASE, 2)
#define esmBADFILEPAGEMAGIC             SM_ERR_ENCODE(FI_ERROR_BASE, 3)
#define esmAFTERLASTPID                 SM_ERR_ENCODE(FI_ERROR_BASE, 4)
#define esmBEFOREFIRSTPID               SM_ERR_ENCODE(FI_ERROR_BASE, 5)
#define esmFILESTACKOVERFLOW    SM_ERR_ENCODE(FI_ERROR_BASE, 6)
#define esmFILEPAGENOTFOUND             SM_ERR_ENCODE(FI_ERROR_BASE, 7)
#define esmNOFREEFILESTACK              SM_ERR_ENCODE(FI_ERROR_BASE, 8)
#define esmPAGEEXISTS                   SM_ERR_ENCODE(FI_ERROR_BASE, 9)
#define esmPAGEMARKED                   SM_ERR_ENCODE(FI_ERROR_BASE, 10)
#define esmBADFID                               SM_ERR_ENCODE(FI_ERROR_BASE, 11)
#define esmNOFREEFIDHASH                SM_ERR_ENCODE(FI_ERROR_BASE, 12)
#define esmFILENOTLOGICAL               SM_ERR_ENCODE(FI_ERROR_BASE, 13)
#define esmBADPAGESIZE                  SM_ERR_ENCODE(FI_ERROR_BASE, 14)
#define esmBADFILEHEADERMAGIC   SM_ERR_ENCODE(FI_ERROR_BASE, 15)
#define esmNOFREEOPENFILE               SM_ERR_ENCODE(FI_ERROR_BASE, 16)
#define MAX_FILE_ERROR                  17 /* adjust as errors added/removed */
 
#define esmBADVOLHEADER                 SM_ERR_ENCODE(IO_ERROR_BASE, 1)
#define esmDUPVOLID                             SM_ERR_ENCODE(IO_ERROR_BASE, 2)
#define esmDISKPROCDIED                 SM_ERR_ENCODE(IO_ERROR_BASE, 3)
#define esmBADVOLID                             SM_ERR_ENCODE(IO_ERROR_BASE, 4)
#define esmDUPVOLNAME                   SM_ERR_ENCODE(IO_ERROR_BASE, 5)
#define esmFRAGMENTED                   SM_ERR_ENCODE(IO_ERROR_BASE, 6)
#define esmDISKFULL                             SM_ERR_ENCODE(IO_ERROR_BASE, 7)
#define esmDISKMOUNTED                  SM_ERR_ENCODE(IO_ERROR_BASE, 8)
#define esmBADROOTNAME                  SM_ERR_ENCODE(IO_ERROR_BASE, 9)
#define esmROOTTABLEFULL                SM_ERR_ENCODE(IO_ERROR_BASE, 10)
#define esmNOVOLINFO                    SM_ERR_ENCODE(IO_ERROR_BASE, 11)
#define esmNOFREECONTEXT                SM_ERR_ENCODE(IO_ERROR_BASE, 12)
#define esmBADPID                               SM_ERR_ENCODE(IO_ERROR_BASE, 13)
#define esmSERVPROCDIED                 SM_ERR_ENCODE(IO_ERROR_BASE, 14)
#define esmNOSUCHVOLUME                 SM_ERR_ENCODE(IO_ERROR_BASE, 15)
#define esmMOUNTTABLEFULL               SM_ERR_ENCODE(IO_ERROR_BASE, 16)
 
#define MAX_IO_ERROR                    17 /* adjust as errors added/removed */
 
#define esmPROTOCOLVERSION              SM_ERR_ENCODE(MSG_ERROR_BASE, 1)
#define esmBADMESSAGENUMBER             SM_ERR_ENCODE(MSG_ERROR_BASE, 2)
#define esmBADMESSAGEMAGIC              SM_ERR_ENCODE(MSG_ERROR_BASE, 3)
#define esmALREADYCONNECTED             SM_ERR_ENCODE(MSG_ERROR_BASE, 4)
#define esmNOTCONNECTED                 SM_ERR_ENCODE(MSG_ERROR_BASE, 5)
#define esmNOFREETIMERS                 SM_ERR_ENCODE(MSG_ERROR_BASE, 6)
#define esmUNKNOWNHOSTNAME      SM_ERR_ENCODE(MSG_ERROR_BASE, 7)
#define esmCONFIGMISMATCH               SM_ERR_ENCODE(MSG_ERROR_BASE, 8)
#define esmBADFAMILY                    SM_ERR_ENCODE(MSG_ERROR_BASE, 9)
#define MAX_MSG_ERROR          10 /* adjust as errors added/removed */
#define esmNOFREETHREAD                 SM_ERR_ENCODE(THREAD_ERROR_BASE, 1)
#define MAX_THREAD_ERROR                2 /* adjust as errors added/removed */
 
#define esmNOFREEPAGECONTEXT    SM_ERR_ENCODE(BM_ERROR_BASE, 1)
#define esmTOOMANYBITS                  SM_ERR_ENCODE(BM_ERROR_BASE, 2)
#define MAX_BM_ERROR                    3 /* adjust as errors added/removed */
#define esmNOFREETRANSREC               SM_ERR_ENCODE(TRANS_ERROR_BASE, 1)
#define esmTRANSDISABLED                SM_ERR_ENCODE(TRANS_ERROR_BASE, 2)
#define esmBADTRANSID                   SM_ERR_ENCODE(TRANS_ERROR_BASE, 3)
#define esmNOTTRANSMASTER               SM_ERR_ENCODE(TRANS_ERROR_BASE, 4)
#define esmTRANSABORTED                 SM_ERR_ENCODE(TRANS_ERROR_BASE, 5)
#define esmTRANSCOMMITTED               SM_ERR_ENCODE(TRANS_ERROR_BASE, 6)
#define esmNOFREETRANSVOLREC    SM_ERR_ENCODE(TRANS_ERROR_BASE, 7)
#define esmTRANSINPROGRESS              SM_ERR_ENCODE(TRANS_ERROR_BASE, 8)
#define esmNOACTIVETRANS                SM_ERR_ENCODE(TRANS_ERROR_BASE, 9)
#define esmCLIENTREQUEST                SM_ERR_ENCODE(TRANS_ERROR_BASE, 10)
#define MAX_TRANS_ERROR                 11 /* adjust as errors added/removed */
 
#define esmBADLOCKTABLESIZE             SM_ERR_ENCODE(LOCK_ERROR_BASE, 1)
#define esmBADLOCKMODE                  SM_ERR_ENCODE(LOCK_ERROR_BASE, 2)
#define esmNOFREELOCKHEADER             SM_ERR_ENCODE(LOCK_ERROR_BASE, 3)
#define esmNOFREELOCKENTRY              SM_ERR_ENCODE(LOCK_ERROR_BASE, 4)
#define esmNOFREELOCKCLASSREC   SM_ERR_ENCODE(LOCK_ERROR_BASE, 5)
#define esmNOFREELOCKCLASS              SM_ERR_ENCODE(LOCK_ERROR_BASE, 6)
#define esmBADLOCKCLASS                 SM_ERR_ENCODE(LOCK_ERROR_BASE, 7)
#define esmLOCKBUSY                             SM_ERR_ENCODE(LOCK_ERROR_BASE, 8)
#define esmLOCKCAUSEDDEADLOCK   SM_ERR_ENCODE(LOCK_ERROR_BASE, 9)
#define esmNOSUCHLOCK                   SM_ERR_ENCODE(LOCK_ERROR_BASE, 10)
#define esmWAITEREXISTS                 SM_ERR_ENCODE(LOCK_ERROR_BASE, 11)
#define esmPHANTOMDEADLOCK              SM_ERR_ENCODE(LOCK_ERROR_BASE, 12)
#define esmCAUSEDPHANTOMDEADLOCK SM_ERR_ENCODE(LOCK_ERROR_BASE, 13)
#define esmLOCKPREEMPTED                SM_ERR_ENCODE(LOCK_ERROR_BASE, 14)
#define MAX_LOCK_ERROR                  15 /* adjust as errors added/removed */
 
#define esmLOGDISABLED                  SM_ERR_ENCODE(LOG_ERROR_BASE, 1)
#define esmLOGWRAPPED                   SM_ERR_ENCODE(LOG_ERROR_BASE, 2)
#define esmNOFREELOGSPACE               SM_ERR_ENCODE(LOG_ERROR_BASE, 3)
#define esmLOGRECORDTOOBIG              SM_ERR_ENCODE(LOG_ERROR_BASE, 4)
#define esmBADLOGPAGEHEADER             SM_ERR_ENCODE(LOG_ERROR_BASE, 5)
#define esmBADLOGRECORDHEADER   SM_ERR_ENCODE(LOG_ERROR_BASE, 6)
#define esmBADLOGVOLUME                 SM_ERR_ENCODE(LOG_ERROR_BASE, 7)
#define esmMOUNTLSNTOOHIGH              SM_ERR_ENCODE(LOG_ERROR_BASE, 8)
#define esmLOGTOOSMALL                  SM_ERR_ENCODE(LOG_ERROR_BASE, 9)
#define esmLOGGINGOFF                   SM_ERR_ENCODE(LOG_ERROR_BASE, 10)
#define MAX_LOG_ERROR                   11 /* adjust as errors added/removed */
 
#define esmBADRESOURCE                  SM_ERR_ENCODE(RESOURCE_ERROR_BASE, 1)
#define MAX_RESOURCE_ERROR              2 /* adjust as errors added/removed */
 
#define esmCANNOTRECOVER                SM_ERR_ENCODE(RECOVER_ERROR_BASE, 1)
#define MAX_RECOVER_ERROR               2 /* adjust as errors added/removed */
 
#define esmKEYNOTFOUND                  SM_ERR_ENCODE(IM_ERROR_BASE, 1)
#define esmKEYALREADYEXISTS             SM_ERR_ENCODE(IM_ERROR_BASE, 2)
#define esmDUPLICATEKEYPID              SM_ERR_ENCODE(IM_ERROR_BASE, 3)
#define esmKEYTOOLONG                   SM_ERR_ENCODE(IM_ERROR_BASE, 4)
#define esmMAXKEYLENEXCEEDED    SM_ERR_ENCODE(IM_ERROR_BASE, 5)
#define esmOIDNOTFOUND                  SM_ERR_ENCODE(IM_ERROR_BASE, 6)
#define esmOIDEXISTS                    SM_ERR_ENCODE(IM_ERROR_BASE, 7)
#define esmINVALIDDIRECTION             SM_ERR_ENCODE(IM_ERROR_BASE, 8)
#define esmSCANEXHAUST                  SM_ERR_ENCODE(IM_ERROR_BASE, 9)
#define esmINVALIDCURSOR                SM_ERR_ENCODE(IM_ERROR_BASE, 10)
#define esmINVALIDCOND                  SM_ERR_ENCODE(IM_ERROR_BASE, 11)
#define esmCONFLICTCOND                 SM_ERR_ENCODE(IM_ERROR_BASE, 12)
#define esmBULKLOADING          SM_ERR_ENCODE(IM_ERROR_BASE, 13)
#define esmINDEXNOTEMPTY        SM_ERR_ENCODE(IM_ERROR_BASE, 14)
#define esmNEEDTEMPVOL                  SM_ERR_ENCODE(IM_ERROR_BASE, 15)
#define esmWRONGNDXTYPE                 SM_ERR_ENCODE(IM_ERROR_BASE, 16)
#define esmWRONGHASHLOAD                SM_ERR_ENCODE(IM_ERROR_BASE, 17)
#define MAX_IM_ERROR                    18 /* adjust as errors added/removed */
 
#define esmBADOPTION                    SM_ERR_ENCODE(OPT_ERROR_BASE, 1)
#define esmOPTIONSYNTAX                 SM_ERR_ENCODE(OPT_ERROR_BASE, 2)
#define esmOPTIONNOTUNIQUE              SM_ERR_ENCODE(OPT_ERROR_BASE, 3)
#define esmOPTIONNOTSET                 SM_ERR_ENCODE(OPT_ERROR_BASE, 4)
#define esmBADOPTIONCLASS               SM_ERR_ENCODE(OPT_ERROR_BASE, 5)
#define esmBADOPTIONVALUE               SM_ERR_ENCODE(OPT_ERROR_BASE, 6)
#define esmBUFPAGESNOTSET               SM_ERR_ENCODE(OPT_ERROR_BASE, 7)
#define MAX_OPT_ERROR                   8 /* adjust as errors added/removed */
 
#define esmTRANSNOTPREPARED             SM_ERR_ENCODE(DISTR_ERROR_BASE, 1)
#define esmBADCOMMAND                   SM_ERR_ENCODE(DISTR_ERROR_BASE, 2)
#define esmNOFREEGTIDREC                SM_ERR_ENCODE(DISTR_ERROR_BASE, 3)
#define esmTOOMANYSERVERS               SM_ERR_ENCODE(DISTR_ERROR_BASE, 4)
#define esmNOFREESERVERTIDINFO  SM_ERR_ENCODE(DISTR_ERROR_BASE, 5)
#define esmBADHANDLE                    SM_ERR_ENCODE(DISTR_ERROR_BASE, 6)
#define esmWOULDBLOCK                   SM_ERR_ENCODE(DISTR_ERROR_BASE, 7)
#define esmBADVOTE                              SM_ERR_ENCODE(DISTR_ERROR_BASE, 8)
#define esmBADSTATE                             SM_ERR_ENCODE(DISTR_ERROR_BASE, 9)
#define esmCOORDUNKNOWN                 SM_ERR_ENCODE(DISTR_ERROR_BASE, 10)
#define esmTRANSPREPARED                SM_ERR_ENCODE(DISTR_ERROR_BASE, 11)
#define esmTRANSIN2PC                   SM_ERR_ENCODE(DISTR_ERROR_BASE, 12)
#define esmTRANSNOTIN2PC                SM_ERR_ENCODE(DISTR_ERROR_BASE, 13)
#define MAX_DISTR_ERROR                 14 /* adjust as errors added/removed */
 
:w



