/*ident	"%W%" */

#ifndef OSFCNH
#define OSFCNH

#ifndef TYPESH
#include <sys/types.h>
#endif

#include <sys/ptrace.h>

extern "C" {
	void _exit(int);
	int access(const char*, int);
	int acct(const char*);
	int chdir(const char*);
	int chmod(const char*, int);
	int chown(const char*, int, int);
	int chroot(const char*);
	int close(int);
	int creat(const char*, int);
	int dup(int);
	int execl(const char*, const char* ...);
	int execle(const char*, const char* ...);
	int execlp(const char*, const char* ...);
	int execv(const char*, const char*[]);
	int execve(const char*, const char*[], const char*[]);
	int execvp(const char*, const char*[]);
	void exit(int);
	int fork();
	int getpid();
	int getppid();
	int ioctl(int, int ...);
	int kill(int, int);
	int link(const char*, const char*);
	int lockf(int, int, long);
	int nice(int);
	int open(const char*, int ...);
	void pause();
	int pipe(int*);
	int setgid(int);
	int setuid(int);
	void sync();
	int system(const char*);
	long ulimit(int, long);
	int umask(int);
	int unlink(const char*);
	int mknod(const char*, int, int);
	int dup2(int, int);
	int mkdir(const char*, int);
	int rmdir(const char*);
	int async_daemon();
	int fchmod(int, int);
	int fchown(int, int, int);
	int fsync(int);
	int getdirentries(int, char*, int, long*);
	int getdomainname(char*, int);
	int getgroups(int, int*);
	int gethostname(char*, int);
	int nfssvc(int);
	void profil(const char*, int, int, int);
	int readlink(const char*, char*, int);
	int rename(const char*, const char*);
	int setdomainname(const char*, int);
	int setgroups(int, const int*);
	int sethostname(const char*, int);
	int shutdown(int, int);
	int swapon(const char*);
	int symlink(const char*, const char*);
	int vfork();
	int write(int, const void*, int);
	int read(int, void*, int);
	int brk(caddr_t);
	int fchdir(int);
	int fchroot(int);
	int flock(int, int);
	int ftruncate(int, off_t);
	int getdtablesize();
	long gethostid();
	int getpagesize();
	int killpg(int pgrp, int sig);
	off_t lseek(int, off_t, int);
	int select(int, fd_set*, fd_set*, fd_set*, const struct timeval*);
	int setregid(int rgid, int egid);
	int syscall(int number ...);
	int truncate(const char*, off_t);
	int unmount(const char* special);
	int vadvise(int param);
	void vhangup();
	int wait4(int, union wait*, int, struct rusage*);
	unsigned long sleep(unsigned);
	unsigned alarm(unsigned);
	int getegid();
	int geteuid();
	int getgid();
	int getpgrp(int);
	int getuid();
	int mount(const char*, const char*, int, caddr_t);
	int ptrace(enum ptracereq, int, char *, int, char *);
	int readv(int, const struct iovec*, int);
	int reboot(int, const char*);
	caddr_t sbrk(int);
	int setegid(int);
	int seteuid(int);
	int setpgrp(int, int);
	int setreuid(int, int);
	int setrgid(int);
	int setruid(int);
	int sigblock(int);
	int sigpause(int);
#ifndef sigmask
	int sigmask(int);
#endif
	int wait(union wait*);
	int wait3(union wait*, int, struct rusage*);
	int writev(int, const struct iovec*, int);
}
	

#endif
