#include "libMv.h"

XmStringCharSet mcharset = (XmStringCharSet) XmSTRING_DEFAULT_CHARSET;

void Display_Error(Widget w, char *err_msg)
{
  Widget Err;
  Arg args[3];
  XmString title, message;
  int n;

  title = XmStringCreateLtoR("MOODSQL Error",mcharset);
  message = XmStringCreateLtoR(err_msg,mcharset);

  n = 0;
  XtSetArg(args[n],XmNdialogTitle,title);n++;
  XtSetArg(args[n],XmNmessageString,message);n++;
  Err = XmCreateErrorDialog(w,"ERROR",args,n);
  XtManageChild(Err);
}

void Display_Warning(Widget w, char *warn_msg)
{
  Widget Warn;
  Arg args[3];
  XmString title, message;
  int n;

  title = XmStringCreateLtoR("MOODSQL Warning",mcharset);
  message = XmStringCreateLtoR(warn_msg,mcharset);

  n = 0;
  XtSetArg(args[n],XmNdialogTitle,title);n++;
  XtSetArg(args[n],XmNmessageString,message);n++;
  Warn = XmCreateWarningDialog(w,"WARN",args,n);
  XtManageChild(Warn);
}

