 typedef unsigned short int INT16;

 unsigned short int bitpos[] = { 0x2000,0x1000, 0x0800, 0x0400,0x200, 0x100, 
				 0x0080,0x0040, 0x0020, 0x0010, 0x0008, 
				 0x0004 };


 void charTOoid( char *p, OID *oid )
 {
    int i;
    INT16 *si = ( INT16 *)(p + 13);

    for( i = 0; i < 12; i++ )
	if( *si & bitpos[i]  ) p[i]=0;
    
    memcpy( (void *)oid, (void *)p, 12 );
 }


 void oidTOchar( OID *oid, char *p )
 {
    int i;
    INT16 *si = ( INT16 *)(p + 13);

    *si = 0x8001;
    memcpy( (void *)p, (void *)oid, 12);
    for( i=0; i < 12; i++) if( !p[i] ){
      *si |= bitpos[i];
      p[i]=1;
    }
   
    p[15]=0;
 }